aboutsummaryrefslogtreecommitdiffhomepage
path: root/examples/shell/bin.sh
diff options
context:
space:
mode:
authorGravatar Dave MacLachlan <dmaclach@google.com>2016-02-03 23:31:39 +0000
committerGravatar David Chen <dzc@google.com>2016-02-04 18:10:48 +0000
commit4800626eee5245a062e910b648adb2f291e212c5 (patch)
tree3788c41baf1878357c652ed5df013b0a2d3abb21 /examples/shell/bin.sh
parent2f4d1c2583b3fc1ce63d7c5eb678f0717c21db1a (diff)
Add shell example to bazel. Includes sh_binary, sh_library and sh_test.
-- MOS_MIGRATED_REVID=113789897
Diffstat (limited to 'examples/shell/bin.sh')
-rwxr-xr-xexamples/shell/bin.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/examples/shell/bin.sh b/examples/shell/bin.sh
new file mode 100755
index 0000000000..02345b0157
--- /dev/null
+++ b/examples/shell/bin.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+# Copyright 2016 The Bazel Authors. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http:#www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -eu
+
+# This allows the script to be both a binary and a library script. If our binary has defined
+# RUNFILES then we use it, otherwise we look for our own runfiles.
+RUNFILES=${RUNFILES:-$0.runfiles}
+
+source "${RUNFILES}/examples/shell/lib.sh"
+
+showfile
+